CrystalQore
DevelopersAPI Reference

Contacts

List tenant contacts and create contacts owned by a user.

Contacts

List contacts

GET /api/v1/contacts

Permissioncontacts
User headerOptional — when set, only that user's contacts
QueryDescription
typeinternal, external, or all (default)
searchName, company, email, or phone
limit / offsetPagination

Each contact includes nested phones, emails, address, and owner.

Create a contact

POST /api/v1/contacts — requires X-User-Email. The new contact is owned by that user.

Required body field: firstName. Optional: lastName, company, title, phoneWork, phoneMobile, phoneHome, phoneFax, email, emailSecondary, address fields, website, notes.

Returns 201 with data.contact.

curl -sS -X POST "https://app.crystalqore.com/api/v1/contacts" \
  -H "X-API-Key: $CRYSTALQORE_API_KEY" \
  -H "X-Tenant-Id: $CRYSTALQORE_TENANT_ID" \
  -H "X-User-Email: $CRYSTALQORE_USER_EMAIL" \
  -H "Content-Type: application/json" \
  -d '{"firstName":"Avery","lastName":"Chen","company":"Northwind","phoneWork":"+15559870000","email":"avery@northwind.example"}'

See sync contacts.

On this page